Subject: Comments on draft-olsrv2-manet-olsrv2-15

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 31 Aug 2012 08:58:45 +0000

A number of comments on draft-olsrv2-manet-olsrv2-15 were provided by Mr. Abdussalam Baryun. The authors have reviewed these comments and do not feel that they warrant any changes. (The authors do however intend to make some other minor changes to produce a version -16 based on other comments received, including directorate reviews, one of which is still outstanding.) Their summarised reasons are given below. (Note that, on the advice of their AD, the review comments are summarised rather than repeated in full, and the several emails are not replied to separately.)

Definitions of the terms interface, MANET interface and link.

Response: These terms are defined in RFC 6130 (Proposed Standard) and used by reference. Significant discussion went into that document and those definitions, and were accepted by the WG and the IESG.

Dimensionless link metrics.

Response: The use of the term dimensionless is to emphasise that OLSRv2 (in common with other link state routing protocols) uses those link metrics as numbers, using operations of addition and comparison on them. It is possible that future link metric definitions (using the TLV mechanism) will define link metrics based on dimensioned quantities (e.g. delay) but the actual link metric would then be e.g. delay divided by a reference delay (e.g. delay / 1 ms, or "delay in ms").

OLSRv2 does not specify how to handle packets.

Response: Nor should/need it. RFC 5444 (Proposed Standard) defines in Appendix A (which is required to be used by RFC 5498 (Proposed Standard) when using the manet port/protocol, as called up by OLSRv2) how packets are handled by a multiplexing process, and the role of a protocols (e.g. OLSRv2) is limited to messages and to limited packet-related permissions (in particular to add TLVs to the packet header), but a protocol is not permitted to handle the packet as a whole. However OLSRv2 does not exercise even its RFC 5444 granted packet related permissions, as it has no need to.

OLSRv2 specifies that updating the IP routing table is out of scope.

Response: OLSRv2 specifies that the intent of its collected information is to update IP's routing table, but the exact mechanism by which this may be done (e.g. Linux system calls, equivalent on Windows, etc.) is an implementation issue that this, as indicated, outside the scope of this protocol, and to include it would be a layer violation.

Is NHDP a must for OLSRv2?

Response: As the WG has chosen to specify the protocol, yes, it is. (A historical note is that NHDP was actually created as part of OLSRv2, it was split off as a separate specification because other uses were identified for NHDP.)

Comment on link metrics.

Response: The authors were unable to establish the exact significance of the comment that OLSRv2 may have more applicability. The authors would not disagree that more uses of any protocol can often be found, but the specified application (to mobile ad hoc networks) is a defined area, for which the WG is chartered and for which the protocol was designed. Wider applicability of OLSRv2 might be an interesting topic, but it would probably be out of scope of the MANET WG.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************